Package jakarta.security.auth.message.callback

## Class PrivateKeyCallback.DigestRequest

- java.lang.Object
- - jakarta.security.auth.message.callback.PrivateKeyCallback.DigestRequest

All Implemented Interfaces:
  `PrivateKeyCallback.Request`

Enclosing class:
  PrivateKeyCallback

    public static class PrivateKeyCallback.DigestRequest
    extends java.lang.Object
    implements PrivateKeyCallback.Request

### Constructor Summary

Constructors
`DigestRequest​(byte[] digest, java.lang.String algorithm)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAlgorithm()`
`byte[]` `getDigest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DigestRequest

    public DigestRequest​(byte[] digest,
                         java.lang.String algorithm)

### Method Detail

#### getDigest

    public byte[] getDigest()

#### getAlgorithm

    public java.lang.String getAlgorithm()